Package org.eclipse.cdt.utils.coff

# Class Exe.ExeHeader

java.lang.Object
org.eclipse.cdt.utils.coff.Exe.ExeHeader

Enclosing class:
  `Exe`

public static class Exe.ExeHeader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`e_checksum`
`short`
`e_cs`
`short`
`e_hdrsize`
`short`
`e_ip`
`short`
`e_lastsize`
`short`
`e_maxalloc`
`short`
`e_minalloc`
`short`
`e_nblocks`
`short`
`e_noverlay`
`short`
`e_nreloc`
`short`
`e_relocoffs`
`byte[]`
`e_signature`
`short`
`e_sp`
`short`
`e_ss`
`static final int`
`EXEHDRSZ`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ExeHeader(byte[] hdr, boolean little)`
`protected`
`ExeHeader(RandomAccessFile file)`
`protected`
`ExeHeader(RandomAccessFile file, long offset)`
``
`ExeHeader(ReadMemoryAccess memory)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EXEHDRSZ

public static final int EXEHDRSZ

See Also:
  - Constant Field Values

### e_signature

public byte[] e_signature

### e_lastsize

public short e_lastsize

### e_nblocks

public short e_nblocks

### e_nreloc

public short e_nreloc

### e_hdrsize

public short e_hdrsize

### e_minalloc

public short e_minalloc

### e_maxalloc

public short e_maxalloc

### e_ss

public short e_ss

### e_sp

public short e_sp

### e_checksum

public short e_checksum

### e_ip

public short e_ip

### e_cs

public short e_cs

### e_relocoffs

public short e_relocoffs

### e_noverlay

public short e_noverlay

## Constructor Details

### ExeHeader

protected ExeHeader(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### ExeHeader

protected ExeHeader(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

### ExeHeader

public ExeHeader(byte[] hdr, boolean little) throws IOException

Throws:
  `IOException`

### ExeHeader

public ExeHeader(ReadMemoryAccess memory) throws IOException

Throws:
  `IOException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`